#include "stm32f10x.h"
#include <Driver_GPIO.h>
#include <MyTimer.h>
#include <MyADC.h>
#include <Plateau.h>
#include <Telecommande.h>
#include <Batterie.h>

int droite;
int b;
int testBatterie ;
int bat;

void f (char a) {
	
	
	if (a>> 7 & 1) {
		droite = 1;
		b = 256 - a;
		Set_Moteur_Plateau(HORRAIRE, b);
	}
	else {
		droite = 0;
		b = a;
		Set_Moteur_Plateau(ANTI_HORRAIRE, b);
	}
}


int main (void)
{
	
	char* visuBatterie = "[-----]";
	/* Pour la telecommande */
	Init_USART(USART1);
	/*Init_Message_Reception(&f);
	Init_Plateau();*/
 
	
	/* Batterie */
	Init_Batterie();
	while (1) {
		bat = Get_Batterie();
		if (bat < 20) {
			visuBatterie = "[-----]";
		} else if (bat < 40) {
			visuBatterie = "[##---]";
		} else if (bat < 60) {
			visuBatterie = "[###--]";
		} else if (bat < 80) {
			visuBatterie = "[####-]";
		} else {
			visuBatterie = "[#####]";
		}
			
		Send_Message("Batterie : ");
		Send_Message(visuBatterie);
		Send_Message("\r");
	}
}
